Index: sansmodels/src/sans/models/FractalCoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/FractalCoreShellModel.py	(revision 18695bf6182272ba6d84bdb2ada3bf3196541654)
+++ sansmodels/src/sans/models/FractalCoreShellModel.py	(revision 31f9d0c2d89fa5bb1498e539b085083a621cea43)
@@ -1,7 +1,9 @@
-   
+"""
+    Fractal Core-Shell model
+"""
 from sans.models.BaseComponent import BaseComponent
 from sans.models.CoreShellModel import CoreShellModel
 from scipy.special import gammaln
-from math import exp, sin, atan
+import math
 from numpy import power
 from copy import deepcopy
@@ -26,9 +28,9 @@
         ## Setting  model name model description
         model = CoreShellModel()
-        self.description=model
+        self.description = model
         
         self.model = model
         self.name = "FractalCoreShell"
-        self.description="""Scattering  from a fractal structure 
+        self.description = """Scattering  from a fractal structure 
         with a primary building block of a spherical particle 
         with particle with a core-shell structure.
@@ -64,9 +66,9 @@
         self._set_details()
 
-        ## parameters with orientation: can be removed since there is no orientational params
+        ## parameters with orientation:
         for item in self.model.orientation_params:
             self.orientation_params.append(item)
                 
-    def _fractalcore(self,x):
+    def _fractalcore(self, x):
         """
         Define model function
@@ -79,6 +81,6 @@
         r0 = self.params['radius']
         #calculate S(q)
-        sq = Df*exp(gammaln(Df-1.0))*sin((Df-1.0)*atan(x*corr))
-        sq /= power((x*r0),Df) * power((1.0 + 1.0/(x*corr*x*corr)),((Df-1)/2))
+        sq = Df*math.exp(gammaln(Df-1.0))*math.sin((Df-1.0)*math.atan(x*corr))
+        sq /= power((x*r0), Df) * power((1.0 + 1.0/(x*corr*x*corr)), ((Df-1)/2))
         sq += 1.0
         return sq
@@ -103,5 +105,5 @@
         ##set dispersion from model 
         for name , value in self.model.dispersion.iteritems():      
-            self.dispersion[name]= value
+            self.dispersion[name] = value
                               
     def _set_params(self):
@@ -126,5 +128,5 @@
             elif name == 'background':
                 value = 0.0
-            self.model.params[name]= value
+            self.model.params[name] = value
             if name  == 'scale':
                 name = 'volfraction'
@@ -138,9 +140,9 @@
         this model details 
         """
-        for name ,detail in self.model.details.iteritems():
+        for name, detail in self.model.details.iteritems():
             if name in self.params.iterkeys():
                 if name == 'scale':
                     name = 'volfraction'
-                self.details[name]= detail
+                self.details[name] = detail
         self.details['frac_dim']   = ['', None, None]
         self.details['cor_length'] = ['[A]', None, None]  
@@ -201,10 +203,11 @@
             #qx = math.fabs(x[0]*math.cos(x[1]))
             #qy = math.fabs(x[0]*math.sin(x[1]))
-            return self.params['background']+self._fractalcore(x[0])*self.model.run(x)
+            return self.params['background']\
+                +self._fractalcore(x[0])*self.model.run(x)
         elif x.__class__.__name__ == 'tuple':
             raise ValueError, "Tuples are not allowed as input to BaseComponent models"
         else:
-            return self.params['background']+self._fractalcore(x)*self.model.run(x)
-
+            return self.params['background']\
+                +self._fractalcore(x)*self.model.run(x)
 
         return self.params['background']+self._fractalcore(x)*self.model.run(x)
@@ -233,8 +236,8 @@
         :dispersion: dispersion object of type DispersionModel
         """
-        value= None
+        value = None
         try:
             if parameter in self.model.dispersion.keys():
-                value= self.model.set_dispersion(parameter, dispersion)
+                value = self.model.set_dispersion(parameter, dispersion)
             self._set_dispersion()
             return value
